'use strict';
module.exports = () => {
  const arr = [
    {
      header: '申请号',
      key: 'create_number',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '申请日',
      key: 'create_date',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '公开（公告）号',
      key: 'success_number',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '公开（公告）日',
      key: 'success_date',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '发明人',
      key: 'inventor',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '代理机构',
      key: 'agent',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '代理人',
      key: 'agent_personal',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '摘要',
      key: 'abstract',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '发明人地址',
      key: 'address',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '标题',
      key: 'name',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '申请人',
      key: 'apply_personal',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '专利有效性',
      key: 'term',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '专利类型',
      key: 'type',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '首页附图(压缩图)',
      key: 'img_url',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '公开国别',
      key: 'nationality',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: 'IPC主分类',
      key: 'ipc_type',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '当前法律状态',
      key: 'onlegal_status',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '法律状态',
      key: 'legal_status',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '法律文书日期',
      key: 'law_date',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '当前权利人',
      key: 'on_obligee',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '申请人地址(其他)',
      key: 'apply_address',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '申请人(其他)',
      key: 'apply_other',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '法律文书编号',
      key: 'law_num',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '首次公开日',
      key: 'first_opendate',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '授权公告日',
      key: 'empower_date',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '失效日',
      key: 'lose_date',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '实际审查失效日',
      key: 'examine_date',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '发明人(设计)其他',
      key: 'invention_design',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },

    {
      header: '链接到incoPat',
      key: 'incopat_link',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '首项权利要求',
      key: 'first_ask',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '第一申请人',
      key: 'first_apply',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '中国申请人地市',
      key: 'apply_city',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '工商统一社会信用代码',
      key: 'business_code',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '工商注册地址',
      key: 'business_address',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '第一发明人',
      key: 'first_inventor',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '合享价值度',
      key: 'shared_value',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '技术稳定性',
      key: 'techol_stable',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: '技术先进性',
      key: 'techol_advanced',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: 'PCT国际申请号',
      key: 'pct_apply',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
    {
      header: 'PCT国际公布号',
      key: 'pct_publish',
      width: 30,
      style: {
        alignment: {
          wrapText: true,
          vertical: 'middle',
          horizontal: 'center',
        },
      },
    },
  ];
  return arr;
};
