'use strict';

module.exports = (app) => {
  const { router, controller } = app;
  const profix = '/api/live/';
  const vision = 'v0';
  const index = 'patent';
  const target = 'agentMech';
  const mware = app.middleware.createPassword();
  router.post(target, `${profix}${vision}/${index}/${target}/login`, controller[index][target].login);
  router.resources(target, `${profix}${vision}/${index}/${target}`, mware, controller[index][target]); // index、create、show、destroy
  router.post(target, `${profix}${vision}/${index}/${target}/update/:id`, mware, controller[index][target].update);
};;
